version: "2.1"
services:
  # Instructions:
  #
  # Run `make compose` to prepare the schema artifact and start the platform in standalone mode.
  #
  standalone:
    image: axual/platform-test-standalone:5.7.0
    hostname: standalone
    ports:
      - "8080-8081:8080-8081"
      - "8082-8084:8082-8084"
    volumes:
      - ./standalone/config:/configs
      - ./data-definitions/target/:/extra
    environment:
      - LOADER_PATH=/extra,/configs
      - SPRING_PROFILES_ACTIVE=demo